Bug 1354075 - Multiple passwd entries with the same UID but different user names makes system unbootable. GDM starts but gets stuck and does not open display. Get message about waiting for Plymouth boot screen to quit on bootup
Summary: Multiple passwd entries with the same UID but different user names makes syst...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 05:42 UTC by sdh4
Modified: 2017-08-08 15:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:28:20 UTC


Attachments (Terms of Use)
gdm debug log (10.74 KB, text/plain)
2016-07-09 05:42 UTC, sdh4
no flags Details

Description sdh4 2016-07-09 05:42:52 UTC
Created attachment 1177811 [details]
gdm debug log

Description of problem:
GDM seems to start but gets stuck and doesn't actually take control of the display leading to a failure to properly boot

Version-Release number of selected component (if applicable):
gdm-3.20.1-3.fc24

How reproducible:
Always (on my system, after but not including the first boot when installing Fedora 24)

Steps to Reproduce:
1. Boot
2. Wait forever for a graphical login. 
3. Via single user mode or a different console it is possible to troubleshoot. 

Actual results:
No graphical login screen

Expected results:
Graphical login screen. 

Additional info:

This is from a fresh F24 install. The original boot after installation worked fine, additional boots (after installing additional packages/updates/etc) did not. 

By uninstalling Plymouth and pressing <esc> in early startup, it is possible after the gdm failure to ctrl-alt-f2 over, do a text login and startx to get the graphical system working. Both Gnome and XFCE seem to work fine. 

setting WaylandEnable=false in /etc/gdm/custom.conf doesn't seem to help

GDM doesn't seem to ever get to the point of opening the X-server -- 
/var/log/Xorg.0.log doesn't get touched. 

'ps' shows both gdm itself and a gdm-session-worker

systemctl status gdm.service shows gdm as running.

Comment 1 sdh4 2016-07-13 14:59:17 UTC
I have the cause of this figured out I think. 
It camae from having multiple lines in /etc/passwd and /etc/group that had different names but the same uid or gid. 

This came about due to merging the new /etc/passwd and /etc/group from the new install with the list from a previous install. Fedora now forces creation of an account on install with no clear way to avoid, and the account created in the F24 install had the same uid and private gid as the one copied from my old F23 install. 

(At least on traditional UNIX multiple accounts with different names but the same UID was an occasional practice. I saw it used on IRIX for example to give multiple users root access via their own root accounts, all with uid 0.)

Comment 2 Fedora End Of Life 2017-07-25 21:41:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:28:20 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.